diff options
author | Colin Watson <cjwatson@debian.org> | 2010-03-31 10:46:28 +0100 |
---|---|---|
committer | Colin Watson <cjwatson@debian.org> | 2010-03-31 10:46:28 +0100 |
commit | efd3d4522636ae029488c2e9730b60c88e257d2e (patch) | |
tree | 31e02ac3f16090ce8c53448677356b2b7f423683 /regress/multiplex.sh | |
parent | bbec4db36d464ea1d464a707625125f9fd5c7b5e (diff) | |
parent | d1a87e462e1db89f19cd960588d0c6b287cb5ccc (diff) |
* New upstream release (LP: #535029).
- After a transition period of about 10 years, this release disables SSH
protocol 1 by default. Clients and servers that need to use the
legacy protocol must explicitly enable it in ssh_config / sshd_config
or on the command-line.
- Remove the libsectok/OpenSC-based smartcard code and add support for
PKCS#11 tokens. This support is enabled by default in the Debian
packaging, since it now doesn't involve additional library
dependencies (closes: #231472, LP: #16918).
- Add support for certificate authentication of users and hosts using a
new, minimal OpenSSH certificate format (closes: #482806).
- Added a 'netcat mode' to ssh(1): "ssh -W host:port ...".
- Add the ability to revoke keys in sshd(8) and ssh(1). (For the Debian
package, this overlaps with the key blacklisting facility added in
openssh 1:4.7p1-9, but with different file formats and slightly
different scopes; for the moment, I've roughly merged the two.)
- Various multiplexing improvements, including support for requesting
port-forwardings via the multiplex protocol (closes: #360151).
- Allow setting an explicit umask on the sftp-server(8) commandline to
override whatever default the user has (closes: #496843).
- Many sftp client improvements, including tab-completion, more options,
and recursive transfer support for get/put (LP: #33378). The old
mget/mput commands never worked properly and have been removed
(closes: #270399, #428082).
- Do not prompt for a passphrase if we fail to open a keyfile, and log
the reason why the open failed to debug (closes: #431538).
- Prevent sftp from crashing when given a "-" without a command. Also,
allow whitespace to follow a "-" (closes: #531561).
Diffstat (limited to 'regress/multiplex.sh')
-rw-r--r-- | regress/multiplex.sh | 20 |
1 files changed, 10 insertions, 10 deletions
diff --git a/regress/multiplex.sh b/regress/multiplex.sh index 4fba7b5ac..8a98a6e54 100644 --- a/regress/multiplex.sh +++ b/regress/multiplex.sh | |||
@@ -1,4 +1,4 @@ | |||
1 | # $OpenBSD: multiplex.sh,v 1.11 2005/04/25 09:54:09 dtucker Exp $ | 1 | # $OpenBSD: multiplex.sh,v 1.12 2009/05/05 07:51:36 dtucker Exp $ |
2 | # Placed in the Public Domain. | 2 | # Placed in the Public Domain. |
3 | 3 | ||
4 | CTL=/tmp/openssh.regress.ctl-sock.$$ | 4 | CTL=/tmp/openssh.regress.ctl-sock.$$ |
@@ -26,7 +26,7 @@ sleep 5 | |||
26 | 26 | ||
27 | verbose "test $tid: envpass" | 27 | verbose "test $tid: envpass" |
28 | trace "env passing over multiplexed connection" | 28 | trace "env passing over multiplexed connection" |
29 | _XXX_TEST=blah ${SSH} -oSendEnv="_XXX_TEST" -S$CTL otherhost sh << 'EOF' | 29 | _XXX_TEST=blah ${SSH} -F $OBJ/ssh_config -oSendEnv="_XXX_TEST" -S$CTL otherhost sh << 'EOF' |
30 | test X"$_XXX_TEST" = X"blah" | 30 | test X"$_XXX_TEST" = X"blah" |
31 | EOF | 31 | EOF |
32 | if [ $? -ne 0 ]; then | 32 | if [ $? -ne 0 ]; then |
@@ -36,26 +36,26 @@ fi | |||
36 | verbose "test $tid: transfer" | 36 | verbose "test $tid: transfer" |
37 | rm -f ${COPY} | 37 | rm -f ${COPY} |
38 | trace "ssh transfer over multiplexed connection and check result" | 38 | trace "ssh transfer over multiplexed connection and check result" |
39 | ${SSH} -S$CTL otherhost cat ${DATA} > ${COPY} | 39 | ${SSH} -F $OBJ/ssh_config -S$CTL otherhost cat ${DATA} > ${COPY} |
40 | test -f ${COPY} || fail "ssh -Sctl: failed copy ${DATA}" | 40 | test -f ${COPY} || fail "ssh -Sctl: failed copy ${DATA}" |
41 | cmp ${DATA} ${COPY} || fail "ssh -Sctl: corrupted copy of ${DATA}" | 41 | cmp ${DATA} ${COPY} || fail "ssh -Sctl: corrupted copy of ${DATA}" |
42 | 42 | ||
43 | rm -f ${COPY} | 43 | rm -f ${COPY} |
44 | trace "ssh transfer over multiplexed connection and check result" | 44 | trace "ssh transfer over multiplexed connection and check result" |
45 | ${SSH} -S $CTL otherhost cat ${DATA} > ${COPY} | 45 | ${SSH} -F $OBJ/ssh_config -S $CTL otherhost cat ${DATA} > ${COPY} |
46 | test -f ${COPY} || fail "ssh -S ctl: failed copy ${DATA}" | 46 | test -f ${COPY} || fail "ssh -S ctl: failed copy ${DATA}" |
47 | cmp ${DATA} ${COPY} || fail "ssh -S ctl: corrupted copy of ${DATA}" | 47 | cmp ${DATA} ${COPY} || fail "ssh -S ctl: corrupted copy of ${DATA}" |
48 | 48 | ||
49 | rm -f ${COPY} | 49 | rm -f ${COPY} |
50 | trace "sftp transfer over multiplexed connection and check result" | 50 | trace "sftp transfer over multiplexed connection and check result" |
51 | echo "get ${DATA} ${COPY}" | \ | 51 | echo "get ${DATA} ${COPY}" | \ |
52 | ${SFTP} -S ${SSH} -oControlPath=$CTL otherhost >$LOG 2>&1 | 52 | ${SFTP} -S ${SSH} -F $OBJ/ssh_config -oControlPath=$CTL otherhost >$LOG 2>&1 |
53 | test -f ${COPY} || fail "sftp: failed copy ${DATA}" | 53 | test -f ${COPY} || fail "sftp: failed copy ${DATA}" |
54 | cmp ${DATA} ${COPY} || fail "sftp: corrupted copy of ${DATA}" | 54 | cmp ${DATA} ${COPY} || fail "sftp: corrupted copy of ${DATA}" |
55 | 55 | ||
56 | rm -f ${COPY} | 56 | rm -f ${COPY} |
57 | trace "scp transfer over multiplexed connection and check result" | 57 | trace "scp transfer over multiplexed connection and check result" |
58 | ${SCP} -S ${SSH} -oControlPath=$CTL otherhost:${DATA} ${COPY} >$LOG 2>&1 | 58 | ${SCP} -S ${SSH} -F $OBJ/ssh_config -oControlPath=$CTL otherhost:${DATA} ${COPY} >$LOG 2>&1 |
59 | test -f ${COPY} || fail "scp: failed copy ${DATA}" | 59 | test -f ${COPY} || fail "scp: failed copy ${DATA}" |
60 | cmp ${DATA} ${COPY} || fail "scp: corrupted copy of ${DATA}" | 60 | cmp ${DATA} ${COPY} || fail "scp: corrupted copy of ${DATA}" |
61 | 61 | ||
@@ -64,7 +64,7 @@ rm -f ${COPY} | |||
64 | for s in 0 1 4 5 44; do | 64 | for s in 0 1 4 5 44; do |
65 | trace "exit status $s over multiplexed connection" | 65 | trace "exit status $s over multiplexed connection" |
66 | verbose "test $tid: status $s" | 66 | verbose "test $tid: status $s" |
67 | ${SSH} -S $CTL otherhost exit $s | 67 | ${SSH} -F $OBJ/ssh_config -S $CTL otherhost exit $s |
68 | r=$? | 68 | r=$? |
69 | if [ $r -ne $s ]; then | 69 | if [ $r -ne $s ]; then |
70 | fail "exit code mismatch for protocol $p: $r != $s" | 70 | fail "exit code mismatch for protocol $p: $r != $s" |
@@ -72,7 +72,7 @@ for s in 0 1 4 5 44; do | |||
72 | 72 | ||
73 | # same with early close of stdout/err | 73 | # same with early close of stdout/err |
74 | trace "exit status $s with early close over multiplexed connection" | 74 | trace "exit status $s with early close over multiplexed connection" |
75 | ${SSH} -S $CTL -n otherhost \ | 75 | ${SSH} -F $OBJ/ssh_config -S $CTL -n otherhost \ |
76 | exec sh -c \'"sleep 2; exec > /dev/null 2>&1; sleep 3; exit $s"\' | 76 | exec sh -c \'"sleep 2; exec > /dev/null 2>&1; sleep 3; exit $s"\' |
77 | r=$? | 77 | r=$? |
78 | if [ $r -ne $s ]; then | 78 | if [ $r -ne $s ]; then |
@@ -81,10 +81,10 @@ for s in 0 1 4 5 44; do | |||
81 | done | 81 | done |
82 | 82 | ||
83 | trace "test check command" | 83 | trace "test check command" |
84 | ${SSH} -S $CTL -Ocheck otherhost || fail "check command failed" | 84 | ${SSH} -F $OBJ/ssh_config -S $CTL -Ocheck otherhost || fail "check command failed" |
85 | 85 | ||
86 | trace "test exit command" | 86 | trace "test exit command" |
87 | ${SSH} -S $CTL -Oexit otherhost || fail "send exit command failed" | 87 | ${SSH} -F $OBJ/ssh_config -S $CTL -Oexit otherhost || fail "send exit command failed" |
88 | 88 | ||
89 | # Wait for master to exit | 89 | # Wait for master to exit |
90 | sleep 2 | 90 | sleep 2 |